using System;

namespace prvi
{
    class Program
    {
        static int Karta (int[] niz, int n, int k)
        {
            if (k == niz[n-1]) return niz[0];
            else
            {
                for(int i=0;i<n-1;i++)
                {
                    if (k == niz[i]) return niz[i + 1];
                }
            }
            return 0;
        }
        static void Main(string[] args)
        {
            string[] s = Console.ReadLine().Split();
            int n = int.Parse(s[0]);
            int k = int.Parse(s[1]);
            s = Console.ReadLine().Split();
            int[] niz = new int[n];
            for (int i = 0; i < n; i++)
            {
                niz[i] = int.Parse(s[i]);
            }
            Console.WriteLine(Karta(niz, n, k));
        }
    }
}